MDKSA-2005:227 - Updated ethereal packages fix vulnerability
Posted on: 12/15/2005 02:12 AM

The Mandriva Security Team published a new security update: MDKSA-2005:227 - Updated ethereal packages fix vulnerability for Mandriva Linux. Here the announcement:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

_______________________________________________________________________

Mandriva Linux Security Advisory MDKSA-2005:227
http://www.mandriva.com/security/
_______________________________________________________________________

Package : ethereal
Date : December 14, 2005
Affected: 2006.0
_______________________________________________________________________

Problem Description:

A stack-based buffer overflow was discovered in the OSPF dissector in
Ethereal. This could potentially be abused to allow remote attackers
to execute arbitrary code via crafted packets.

The updated packages have been patched to prevent this problem.
_______________________________________________________________________

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3651
_______________________________________________________________________

Updated Packages:

Mandriva Linux 2006.0:
027fdd01892a957cbd51e12bfb67c5f8 2006.0/RPMS/ethereal-0.10.13-0.5.20060mdk.i586.rpm
73193fe2d3878cecab885d8b6cd6a08a 2006.0/RPMS/ethereal-tools-0.10.13-0.5.20060mdk.i586.rpm
2ec34afc4cdbd31bfa68640f13ff806e 2006.0/RPMS/libethereal0-0.10.13-0.5.20060mdk.i586.rpm
5254cd0a674ed501d25ec42ee4191cf1 2006.0/RPMS/tethereal-0.10.13-0.5.20060mdk.i586.rpm
a8c390894b8410e06b12d1f2049db2d6 2006.0/SRPMS/ethereal-0.10.13-0.5.20060mdk.src.rpm

Mandriva Linux 2006.0/X86_64:
09829fadefeb435e75aefa966b51cc56 x86_64/2006.0/RPMS/ethereal-0.10.13-0.5.20060mdk.x86_64.rpm
5c0e3a206220014841a540e149fe96e0 x86_64/2006.0/RPMS/ethereal-tools-0.10.13-0.5.20060mdk.x86_64.rpm
7ca64eb45c380c5eccec6d99e4ca9780 x86_64/2006.0/RPMS/lib64ethereal0-0.10.13-0.5.20060mdk.x86_64.rpm
8510de1e6d3f38ed08d6f863d56c0ee9 x86_64/2006.0/RPMS/tethereal-0.10.13-0.5.20060mdk.x86_64.rpm
a8c390894b8410e06b12d1f2049db2d6 x86_64/2006.0/SRPMS/ethereal-0.10.13-0.5.20060mdk.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrivaUpdate or urpmi. The verification
of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the
GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/security/advisories

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com
_______________________________________________________________________

Type Bits/KeyID Date User ID
pub 1024D/22458A98 2000-07-10 Mandriva Security Team
lt;security*mandriva.comgt;
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFDoICmmqjQ0CJFipgRAoI7AJ9y6m4vBYBTxsqLPS/ieSeSEEr4YACgwMhN
9IHFyD0B6DyavCcao09sVsk=
=AKMk
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/_mdksa_2005227__updated_ethereal_packages_fix_vulnerability.html)